Skip to main content
Version: 10.0

Zone Revision Resource

Description​

This resource shows the changes made to a zone, identified by revision ID.

GET /zones/:ZONEID/revisions/:REVID​

Query a particular zone for the set of changes made at a particular revision.

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:ZONEIDYesURL ParameterThe unique numeric ID of the zone. 
:REVIDYesURL ParameterThe unique numeric ID of the revision. 

GET Response Values​

NameTypeDescription
revision_resourceJSON StringThe revision resource. Should correspond to the GET query used.
revisionJSON NumberThe numeric ID of the revision resource. Should correspond to the :REVID used in the query.
created_atJSON StringThe timestamp of the revision change, in ISO 8601 format (UTC).
traffic_config_changedJSON BooleanWhether or not the configuration resource was changed. Will always be true for the first revision (creation) of a zone.
block_list_changedJSON BooleanWhether or not the block list resource was changed. Will always be true for the first revision (creation) of a zone.
src_allow_list_changedJSON BooleanWhether or not the source allow list resource was changed. Will always be true for the first revision (creation) of a zone.
dst_allow_list_changedJSON BooleanWhether or not the destination allow list resource was changed. Will always be true for the first revision (creation) of a zone.
regex_changedJSON BooleanWhether or not the regex resource was changed. Will always be true for the first revision (creation) of a zone.
configuration_resourceJSON StringThe particular configuration resource used at this revision.
rollback_configuration_resourceJSON StringThe rollback configuration resource for this revision.
userJSON StringThe username of the user who made the changes at this particular revision.

Example GET Request​

 GET /zones/2031/revisions/1

Example GET Response​

{
"revision_resource": "/zones/2031/revisions/1",
"revision": 1,
"created_at": "2017-04-10T20:44:58Z",
"traffic_config_changed": true,
"block_list_changed": true,
"src_allow_list_changed": true,
"dst_allow_list_changed": true,
"regex_changed": true,
"configuration_resource": "/zones/2031/revisions/1/configurations",
"rollback_configuration_resource": "/zones/2031/revisions/1/configurations/rollback",
"user": "nmanners"
}